Public Member Functions | Private Attributes | List of all members
libebook::SoftBookResourceDir Class Reference

Read the resource tree and provide access to it as an OLE stream. More...

`#include <SoftBookResourceDir.h>`

## Public Member Functions
| SoftBookResourceDir (librevenge::RVNGInputStream *input, const SoftBookHeader &header)
std::shared_ptr< librevenge::RVNGInputStream > | getNameStream () const
| Get OLE stream for this resource directory.
std::shared_ptr< librevenge::RVNGInputStream > | getTypeStream () const
| Get OLE stream for this resource directory.

## Private Attributes
std::shared_ptr< SoftBookResourceDirImpl > | m_impl

## Detailed Description

Read the resource tree and provide access to it as an OLE stream.

## Constructor & Destructor Documentation

## ◆ SoftBookResourceDir()

libebook::SoftBookResourceDir::SoftBookResourceDir | ( | librevenge::RVNGInputStream * | input,
|  | const SoftBookHeader & | header
| ) |  |

## Member Function Documentation

## ◆ getNameStream()

shared_ptr< librevenge::RVNGInputStream > libebook::SoftBookResourceDir::getNameStream | ( |  | ) | const

Get OLE stream for this resource directory.

The "files" in the stream are referenced by their names (i.e., random four-letter strings)..

Returns
  OLE stream

## ◆ getTypeStream()

shared_ptr< librevenge::RVNGInputStream > libebook::SoftBookResourceDir::getTypeStream | ( |  | ) | const

Get OLE stream for this resource directory.

The "files" in the stream are referenced by their type.

Returns
  OLE stream

Referenced by libebook::SoftBookParser::parse().

## Member Data Documentation

## ◆ m_impl

std::shared_ptr<SoftBookResourceDirImpl> libebook::SoftBookResourceDir::m_impl
| private

Referenced by getNameStream(), getTypeStream(), and SoftBookResourceDir().

The documentation for this class was generated from the following files:

- SoftBookResourceDir.h
- SoftBookResourceDir.cpp